Apache Open Office 4.1.7 Installation

(DE) Anwendungen für Office, Multimedia und Spiele, Werkzeuge, Hilfsprogramme, etc
(EN) Applications for Office, Multimedia or Games, Tools, Utilities, e.g.
Martin Vieregg
Posts: 238
Joined: Tue 19. Aug 2014, 09:30

Apache Open Office 4.1.7 Installation

Post by Martin Vieregg » Thu 6. Feb 2020, 09:38

Hallo,
seit kurzem hat bitwise works die Version Apache Open Office 4.1.7 veröffentlicht. Registrierte User erhalten eine E-Mail automatisch, andernfalls muss man den Online-Shop aufsuchen.

Zur Installation: Man muss zuerst die alte Version vollständig entfernen. Das geht mit der alten WPI-Datei. Neustart ist nicht erforderlich.
Man muss nur eine neue WPI-Datei installieren (base, de).

Ich habe nach der Installation beim Starten einen Fehler, dass [Verzeichnispfad]\deploy.dll fehlen würde, obwohl sie da ist. In diesem Fall muss man noch etwas nachinstallieren:

Code: Select all

yum install libxslt
Dann geht es. Wenn etwas bei Euch nicht geht und ihr die Lösung parat habt, bitte hier entsprechend posten. Das Readme hilft hier nicht viel weiter.

User avatar
MikeK
Posts: 249
Joined: Mon 23. Dec 2013, 13:51
Location: Potsdam

Post by MikeK » Thu 6. Feb 2020, 11:59

Installation von AOO417 für OS/2 läuft problemlos. Vorab wie gefordert AOO416 deinstalliert. Soweit, so gut. :)

Aber AOO417 crasht reproduzierbar beim Öffnen einer passwortgeschützen Tabelle, welche AOO416 völlig problemlos öffnete. :(
Dies gilt auch nach einem Neustart des Rechners. Nach Rückspielen von AOO416 läßt sich passwortgeschützte Tabelle wieder öffnen und bearbeiten.

Ergänzung: Schreibschutz aus Tabelle mit AOO416 entfernt, AOO417 crasht auch in diesem Fall beim Öffnen des Tabellendokuments.

Ergänzung II:
AOO417 auf einem jungfräulichen AOS504 installiert und siehe da, AOO417 kann die passwortgeschützte Datei problemlos öffnen :) . Mmmhhh, wird wohl mal Zeit nach vielen Jahren OS/2 neu aufzusetzen :( . Hatte gehofft bis AOS5.1 Deutsch noch durchhalten zu können ;) .

Grüße aus Potsdam,
Mike
Zuletzt geändert von MikeK am Thu 6. Feb 2020, 21:55, insgesamt 2-mal geändert.

User avatar
mseidel
Posts: 30
Joined: Tue 14. Mar 2017, 10:45
Location: Hamburg

Post by mseidel » Fri 7. Feb 2020, 22:18

Oft hilft es AOO mit einem frischen Benutzerverzeichnis neu zu starten.

Dafür einfach mal das alte umbenennen. Einen Versuch ist es wert!

User avatar
MikeK
Posts: 249
Joined: Mon 23. Dec 2013, 13:51
Location: Potsdam

Post by MikeK » Mon 10. Feb 2020, 11:06

mseidel wrote:
Fri 7. Feb 2020, 22:18
Oft hilft es AOO mit einem frischen Benutzerverzeichnis neu zu starten.

Dafür einfach mal das alte umbenennen. Einen Versuch ist es wert!
Danke für den Tip. Hat leider nicht geholfen.
Grüße aus Potsdam,
Mike

User avatar
mseidel
Posts: 30
Joined: Tue 14. Mar 2017, 10:45
Location: Hamburg

Post by mseidel » Tue 11. Feb 2020, 15:15

Schade...
Ich habe generell Probleme damit Dateien mit Passwort zu schützen:
"General Input/Output Error"

Vielleicht fehlt mir aber nur wieder eine Library?

User avatar
MikeK
Posts: 249
Joined: Mon 23. Dec 2013, 13:51
Location: Potsdam

Post by MikeK » Tue 11. Feb 2020, 20:54

Dazu muss noch via YUM oder ANPM die "Legacy libraries for Netscape Security Services" (nss-legacy) installiert sein. Steht leider nicht in der Doku zu AOO drin. Nach der Installation AOO neu starten und es sollte funktionieren.
Grüße aus Potsdam,
Mike

User avatar
mseidel
Posts: 30
Joined: Tue 14. Mar 2017, 10:45
Location: Hamburg

Post by mseidel » Wed 12. Feb 2020, 16:23

Danke für den Tipp!
Damit klappt es tatsächlich! Hatte nur vorher noch nie probiert eine Datei mit Passwort abzuspeichern bzw. zu öffnen.

Hoffen wir auf die Version als RPM, dann sollten solche Abhängigkeiten ja automatisch drin sein...

User avatar
MikeK
Posts: 249
Joined: Mon 23. Dec 2013, 13:51
Location: Potsdam

Post by MikeK » Thu 13. Feb 2020, 09:56

mseidel wrote:
Wed 12. Feb 2020, 16:23
Danke für den Tipp!
Damit klappt es tatsächlich! Hatte nur vorher noch nie probiert eine Datei mit Passwort abzuspeichern bzw. zu öffnen.

Hoffen wir auf die Version als RPM, dann sollten solche Abhängigkeiten ja automatisch drin sein...
Freut mich, dess es auch bei Dir funktioniert. Die 3er-Version von OO hat diese zusätzliche Bibliothek noch nicht benötigt. Kam neu mit der 4er.
Grüße aus Potsdam,
Mike